﻿using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Documents;
using System.Windows.Input;

namespace WpfInfragistics18Experiments
{
    public class TestViewModel : ObservableModel
    {

        #region Attributes
        
        #endregion

        #region Properties
        
        public ICommand LoadPdfCommand { get; private set; }

        
        #endregion

        #region Delegates

        #endregion

        #region Events

        #endregion

        #region Constructors
        public TestViewModel()
        {
            LoadPdfCommand = new RelayCommand(LoadPdf);
        }

        private void LoadPdf(object o)
        {
            string filename = @"datafile.txt";
            PdfViewModel viewModel = new PdfViewModel();
            Window2 window = new Window2();
            window.DataContext = viewModel;
            window.Show();
            
            var pdfReader = new PdfReader();
            pdfReader.ReadPdf(filename);
            foreach (var pdfPlotData in pdfReader.Pdfs)
            {
                viewModel.PdfCollection.Add(pdfPlotData);
            }

            viewModel.XRange =pdfReader.XRange;
            viewModel.YRange = pdfReader.YRange;
            viewModel.XBins = pdfReader.XBins;
            viewModel.YBins= pdfReader.YBins;
        }
        #endregion

        #region TestViewModel Members

        #endregion
    }
}